mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Threading.EventWaitHandle System.Runtime.InteropServices.ComVisible(true)

In the .NET Framework version 2.0, derives from the new class. A is functionally equivalent to an created with .

Unlike the class, the class provides access to named system synchronization events.

allows threads to communicate with each other by signaling. Typically, this communication concerns a task which one thread must complete before other threads can proceed.

When a thread begins an activity that must complete before other threads proceed, it calls to put ManualResetEvent in the non-signaled state. This thread can be thought of as controlling the ManualResetEvent. Threads that call on the ManualResetEvent will block, awaiting the signal. When the controlling thread completes the activity, it calls to signal that the waiting threads can proceed. All waiting threads are released.

Once it has been signaled, ManualResetEvent remains signaled until it is manually reset. That is, calls to WaitOne return immediately.

You can control the initial state of a ManualResetEvent by passing a Boolean value to the constructor, true if the initial state is signaled and false otherwise.

ManualResetEvent can also be used with the static and methods.

For more information about thread synchronization mechanisms, see Manual Reset Event in the conceptual documentation.

Notifies one or more waiting threads that an event has occurred. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  If the initial state of a is signaled (that is, if it is created by passing true for ), threads that wait on the do not block. If the initial state is nonsignaled, threads block until the method is called.

  Initializes a new instance of the class with a Boolean value indicating whether to set the initial state to signaled.

  true to set the initial state signaled; false to set the initial state to nonsignaled.
- Method
  System.Boolean

  Starting with the dnprdnext and the compact_v35_long, this member is inherited from .

  Sets the state of the event to nonsignaled, which causes threads to block.

  true if the operation succeeds; otherwise, false.

  1.0.5000.0
- Method
  System.Boolean

  Starting with the dnprdnext and the compact_v35_long, this member is inherited from . See .

  Calling the method leaves the wait handle in a signaled state until the method is called.

  Sets the state of the event to signaled, which allows one or more waiting threads to proceed.

  true if the operation succeeds; otherwise, false.

  1.0.5000.0